PDA

View Full Version : LMS on Ubuntu Server 17.10



V_J
2017-10-30, 02:30
Hello,

I'm trying to install LMS on Ubuntu Server 17.10, but have the hell of issues...
The deb-package installs but fails to start (slimserver died, restarting). When launching slimserver.pl from the tgz file, I get issues with a number of CPAN modules, but installing those do not solve it (best I can get is that the binaries for Audio::Scan are not compatible, and similar message for 2 others).

When trying to compiling it, the system build fails stating first that win32/zlib cannot be found and then that zlib.h is missing (which stops the build).

I've seen there are a number of threads related to the problem:
http://forums.slimdevices.com/showthread.php?108169-LMS-not-starting-after-upgrading-Ubuntu-to-17-10-from-17-04
http://forums.slimdevices.com/showthread.php?99648-Howto-build-a-self-contained-LMS
but cannot seem to resolve my issues using what is there...

I'm currently building on Ubuntu Server 17.10 32 bit on a virtual box; my plan is to set up a new server and I'm evaluating different operating systems for it using VirtualBox (as I'm doing it on an older laptop Virtualbox does not support 64 bit guests). My plan is to go with Ubuntu Server.

Thanks!

mherger
2017-10-30, 02:46
> I'm trying to install LMS on Ubuntu Server 17.10, but have the hell of
> issues...

Are you using 32-bit? I haven't included those binaries yet, as I
wondered whether people were still running 32-bit nowadays...


--

Michael

mherger
2017-10-30, 03:04
There's a new nightly build available for i386. Please give it a try.

V_J
2017-10-30, 04:36
Yes, I'm using 32-bit... I'm planning a new server, which will serve as file/media server and am testing some OS'es in order to select the one that would be best for me (the server would be headless, so I need to be sure I can manage it well). As I'm running it on VirtualBox on an older laptop, I cannot run 64 bit guests (lack of hardware support). In the end, when I get the server, I will run 64 bit, but for now I'm stuck... :)

My first choice is Ubuntu 17.10 with webmin, but I need to verify that it can run all I need and that I can manage the server headless.

Thanks!

Just to confirm; it is this file: logitechmediaserver_7.9.1~1509357021_i386.deb on http://downloads.slimdevices.com/nightly/?ver=7.9 ?

I will give the build a go this evening and will report back.

mherger
2017-10-30, 08:48
> Just to confirm; it is this file:
> logitechmediaserver_7.9.1~1509357021_i386.deb on
> http://downloads.slimdevices.com/nightly/?ver=7.9 ?

Yes, that's the file right now. Just pick whatever is offered on that
page. It should always be the latest.

--

Michael

drmatt
2017-10-30, 12:11
Sorry, I'm running 32 bit too. Deep down the long list of jobs to migrate my server to 64 bit.. :)


Transcoded from Matt's brain by Tapatalk

mherger
2017-10-30, 12:40
> Sorry, I'm running 32 bit too.

The please try the latest .deb, too.

--

Michael

V_J
2017-10-31, 00:59
Installation works like a charm (a few warnings in the server log regarding database initialization, but those are normal). I can connect to the web interface and it seems to work but have not tested further.

It was the Ubuntu 17.10 where I already tried many things and installed modules and updated CPAN for my earlier attempts. Just for full verification, I will install a fresh Ubuntu Server 17.10 and try the install on that one - should anything fail there I will report back.

Thanks!!! :cool: